Bookmarks - List
获取所有书签。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.OperationalInsights/workspaces/{workspaceName}/providers/Microsoft.SecurityInsights/bookmarks?api-version=2025-09-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
workspace
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[A-Za-z0-9][A-Za-z0-9-]+[A-Za-z0-9]$ |
工作区的名称。 |
|
api-version
|
query | True |
string minLength: 1 |
要用于此操作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
OK,作成功完成 |
|
| Other Status Codes |
描述操作失败的原因的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Get all bookmarks.
示例请求
GET https://management.azure.com/subscriptions/d0cfe6b2-9ac0-4464-9919-dccaee2e48c0/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/bookmarks?api-version=2025-09-01
示例响应
{
"value": [
{
"id": "/subscriptions/d0cfe6b2-9ac0-4464-9919-dccaee2e48c0/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/bookmarks/73e01a99-5cd7-4139-a149-9f2736ff2ab5",
"name": "73e01a99-5cd7-4139-a149-9f2736ff2ab5",
"type": "Microsoft.SecurityInsights/bookmarks",
"etag": "\"0300bf09-0000-0000-0000-5c37296e0000\"",
"properties": {
"displayName": "My bookmark",
"createdBy": {
"objectId": "2046feea-040d-4a46-9e2b-91c2941bfa70",
"email": "john@contoso.com",
"name": "john doe"
},
"updatedBy": {
"objectId": "2046feea-040d-4a46-9e2b-91c2941bfa70",
"email": "john@contoso.com",
"name": "john doe"
},
"updated": "2019-01-01T13:15:30Z",
"created": "2019-01-01T13:15:30Z",
"notes": "Found a suspicious activity",
"labels": [
"Tag1",
"Tag2"
],
"query": "SecurityEvent | where TimeGenerated > ago(1d) and TimeGenerated < ago(2d)",
"queryResult": "Security Event query result",
"incidentInfo": {
"incidentId": "DDA55F97-170B-40B9-B8ED-CBFD05481E7D",
"severity": "Low",
"title": "New case 1",
"relationName": "4bb36b7b-26ff-4d1c-9cbe-0d8ab3da0018"
}
}
}
]
}
定义
| 名称 | 说明 |
|---|---|
| Bookmark |
表示 Azure 安全见解中的书签。 |
|
Bookmark |
列出所有书签。 |
|
Cloud |
错误响应结构。 |
|
Cloud |
错误详细信息。 |
|
created |
创建资源的标识的类型。 |
|
Incident |
描述书签的相关事件信息 |
|
Incident |
事件的严重性 |
|
system |
与创建和上次修改资源相关的元数据。 |
|
User |
采取了某种作的用户信息 |
Bookmark
表示 Azure 安全见解中的书签。
| 名称 | 类型 | 说明 |
|---|---|---|
| etag |
string |
Azure 资源的 Etag |
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| name |
string |
资源的名称 |
| properties.created |
string (date-time) |
书签的创建时间 |
| properties.createdBy |
描述创建书签的用户 |
|
| properties.displayName |
string |
书签的显示名称 |
| properties.eventTime |
string (date-time) |
书签事件时间 |
| properties.incidentInfo |
描述与书签相关的事件 |
|
| properties.labels |
string[] |
与此书签相关的标签列表 |
| properties.notes |
string |
书签的笔记 |
| properties.query |
string |
书签的查询。 |
| properties.queryEndTime |
string (date-time) |
查询的结束时间 |
| properties.queryResult |
string |
书签的查询结果。 |
| properties.queryStartTime |
string (date-time) |
查询的开始时间 |
| properties.updated |
string (date-time) |
上次更新书签的时间 |
| properties.updatedBy |
描述更新书签的用户 |
|
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| type |
string |
资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
BookmarkList
列出所有书签。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string |
URL 以获取下一组个案。 |
| value |
Bookmark[] |
书签数组。 |
CloudError
错误响应结构。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误数据 |
CloudErrorBody
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误的标识符。 代码是固定的,旨在以编程方式使用。 |
| message |
string |
描述错误的消息,旨在适合在用户界面中显示。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
IncidentInfo
描述书签的相关事件信息
| 名称 | 类型 | 说明 |
|---|---|---|
| incidentId |
string |
事件 ID |
| relationName |
string |
关系名称 |
| severity |
事件的严重性 |
|
| title |
string |
事件的标题 |
IncidentSeverity
事件的严重性
| 值 | 说明 |
|---|---|
| High |
高严重性 |
| Medium |
中等严重性 |
| Low |
低严重性 |
| Informational |
信息严重性 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的资源时间戳(UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |
UserInfo
采取了某种作的用户信息
| 名称 | 类型 | 说明 |
|---|---|---|
|
string |
用户的电子邮件。 |
|
| name |
string |
用户的名称。 |
| objectId |
string (uuid) |
用户的对象 ID。 |